@import "variables.scss";
/* ----------main-loader---------- */
/*Loader  custum*/
.loader {
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.8);
  position: fixed;
  top: 0px;
  left: 0px;
  z-index: 100000;
  cursor: wait;

  &.loader--inner {
    position: absolute;
  }
}


.loader .inner {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.loader svg {
  width: 30%;
  height: auto;
  fill: #fb0040;
  transition: all 0.8s;
}

.loaderQuickView {
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.8);
  position: fixed;
  top: 0px;
  left: 0px;
  z-index: 100000;
  cursor: wait;

  &.loader--inner {
    position: absolute;
  }
}

.loaderQuickView .inner {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.loaderQuickView svg {
  width: 30%;
  height: auto;
  fill: #fb0040;
  transition: all 0.8s;
}

/*end loader custum*/

// ---loader btn-----


.loader-btn {
  position: absolute;
  display: flex;
  align-items: center;
  fill: #fff;
}

//-----end loader btn ----


/* --------------end main-loader------------------ */


//   -----loader more----------

.sk-wave {
  display: none;
  position: absolute;
  top: calc(50% - 1rem);
  left: calc(50% - 39px);
  width: 6em;
  height: 4em;
  margin: auto;
  text-align: center;
  font-size: 0.6em;
}

.sk-wave .sk-rect {
  background-color: #fb0040;
  height: 100%;
  width: .5em;
  display: inline-block;
  -webkit-animation: sk-wave-stretch-delay 1.2s infinite ease-in-out;
  animation: sk-wave-stretch-delay 1.2s infinite ease-in-out;
}

.sk-wave .sk-rect-1 {
  -webkit-animation-delay: -1.2s;
  animation-delay: -1.2s;
}

.sk-wave .sk-rect-2 {
  -webkit-animation-delay: -1.1s;
  animation-delay: -1.1s;
}

.sk-wave .sk-rect-3 {
  -webkit-animation-delay: -1s;
  animation-delay: -1s;
}

.sk-wave .sk-rect-4 {
  -webkit-animation-delay: -0.9s;
  animation-delay: -0.9s;
}

.sk-wave .sk-rect-5 {
  -webkit-animation-delay: -0.8s;
  animation-delay: -0.8s;
}

@-webkit-keyframes sk-wave-stretch-delay {
  0%, 40%, 100% {
    -webkit-transform: scaleY(0.4);
    transform: scaleY(0.4);
  }
  20% {
    -webkit-transform: scaleY(1);
    transform: scaleY(1);
  }
}

@keyframes sk-wave-stretch-delay {
  0%, 40%, 100% {
    -webkit-transform: scaleY(0.4);
    transform: scaleY(0.4);
  }
  20% {
    -webkit-transform: scaleY(1);
    transform: scaleY(1);
  }
}


//.cssload-loader {
//  width: 100px;
//  height: 100px;
//  margin: 130px 0;
//  -webkit-perspective: 780px;
//          perspective: 780px;
//}
//
//.cssload-inner {
//  position: absolute;
//  width: 100%;
//  height: 100%;
//  box-sizing: border-box;
//  -o-box-sizing: border-box;
//  -ms-box-sizing: border-box;
//  -webkit-box-sizing: border-box;
//  -moz-box-sizing: border-box;
//  border-radius: 50%;
//  -o-border-radius: 50%;
//  -ms-border-radius: 50%;
//  -webkit-border-radius: 50%;
//  -moz-border-radius: 50%;
//}
//.cssload-inner.cssload-one {
//  left: 0%;
//  top: 0%;
//  animation: cssload-rotate-one 1.15s linear infinite;
//  -o-animation: cssload-rotate-one 1.15s linear infinite;
//  -ms-animation: cssload-rotate-one 1.15s linear infinite;
//  -webkit-animation: cssload-rotate-one 1.15s linear infinite;
//  -moz-animation: cssload-rotate-one 1.15s linear infinite;
//  border-bottom: 3px solid #5C5EDC;
//}
//.cssload-inner.cssload-two {
//  right: 0%;
//  top: 0%;
//  animation: cssload-rotate-two 1.15s linear infinite;
//  -o-animation: cssload-rotate-two 1.15s linear infinite;
//  -ms-animation: cssload-rotate-two 1.15s linear infinite;
//  -webkit-animation: cssload-rotate-two 1.15s linear infinite;
//  -moz-animation: cssload-rotate-two 1.15s linear infinite;
//  border-right: 3px solid rgba(76, 70, 101, 0.99);
//}
//.cssload-inner.cssload-three {
//  right: 0%;
//  bottom: 0%;
//  animation: cssload-rotate-three 1.15s linear infinite;
//  -o-animation: cssload-rotate-three 1.15s linear infinite;
//  -ms-animation: cssload-rotate-three 1.15s linear infinite;
//  -webkit-animation: cssload-rotate-three 1.15s linear infinite;
//  -moz-animation: cssload-rotate-three 1.15s linear infinite;
//  border-top: 3px solid #e9908a;
//}
//
//@keyframes cssload-rotate-one {
//  0% {
//    -webkit-transform: rotateX(35deg) rotateY(-45deg) rotateZ(0deg);
//            transform: rotateX(35deg) rotateY(-45deg) rotateZ(0deg);
//  }
//  100% {
//    -webkit-transform: rotateX(35deg) rotateY(-45deg) rotateZ(360deg);
//            transform: rotateX(35deg) rotateY(-45deg) rotateZ(360deg);
//  }
//}
//@-webkit-keyframes cssload-rotate-one {
//  0% {
//    -webkit-transform: rotateX(35deg) rotateY(-45deg) rotateZ(0deg);
//  }
//  100% {
//    -webkit-transform: rotateX(35deg) rotateY(-45deg) rotateZ(360deg);
//  }
//}
//@keyframes cssload-rotate-two {
//  0% {
//    -webkit-transform: rotateX(50deg) rotateY(10deg) rotateZ(0deg);
//            transform: rotateX(50deg) rotateY(10deg) rotateZ(0deg);
//  }
//  100% {
//    -webkit-transform: rotateX(50deg) rotateY(10deg) rotateZ(360deg);
//            transform: rotateX(50deg) rotateY(10deg) rotateZ(360deg);
//  }
//}
//@-webkit-keyframes cssload-rotate-two {
//  0% {
//    -webkit-transform: rotateX(50deg) rotateY(10deg) rotateZ(0deg);
//  }
//  100% {
//    -webkit-transform: rotateX(50deg) rotateY(10deg) rotateZ(360deg);
//  }
//}
//@keyframes cssload-rotate-three {
//  0% {
//    -webkit-transform: rotateX(35deg) rotateY(55deg) rotateZ(0deg);
//            transform: rotateX(35deg) rotateY(55deg) rotateZ(0deg);
//  }
//  100% {
//    -webkit-transform: rotateX(35deg) rotateY(55deg) rotateZ(360deg);
//            transform: rotateX(35deg) rotateY(55deg) rotateZ(360deg);
//  }
//}
//@-webkit-keyframes cssload-rotate-three {
//  0% {
//    -webkit-transform: rotateX(35deg) rotateY(55deg) rotateZ(0deg);
//  }
//  100% {
//    -webkit-transform: rotateX(35deg) rotateY(55deg) rotateZ(360deg);
//  }
//}

/*not loader compare*/

//[id^="wait_compareList"] + div {
//  display: none !important;
//}


/*end not loader compare*/

/*loader lazy start*/
//@keyframes lazy-spin {
//    0%   {
//        transform: rotate(0deg);
//    }
//    100% {
//        transform: rotate(360deg);
//    }
//}


.loader-lazy {
  position: absolute;
  display: block;
  left: calc(50% - 38px);
  top: calc(50% - 38px);
  width: 76px !important;
  height: 76px !important;
  border-top-color: #fb0040;
  z-index: 50;
  background-image: url(/images/hearts.svg);
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;


  &.loader-lazy--big {
    left: calc(50% - 60px);
    top: calc(50% - 60px);
    width: 120px !important;
    height: 120px !important;
    //border: 2px solid transparent;
  }

  &.loader-lazy--small {
    left: calc(50% - 33px);
    top: calc(50% - 33px);
    width: 46px !important;
    height: 46px !important;
    //border: 1px solid transparent;
  }
}
//.loader-lazy {
//    &:before {
//        content: "";
//        position: absolute;
//        top: 5px;
//        left: 5px;
//        right: 5px;
//        bottom: 5px;
//        border-radius: 50%;
//        border: 1px solid transparent;
//        border-top-color: $main_color;
//        filter: hue-rotate(-35deg);
//        animation: lazy-spin 3s linear infinite;
//    }
//
//    &.loader-lazy--big:before {
//        top: 10px;
//        left: 10px;
//        right: 10px;
//        bottom: 10px;
//        border: 2px solid transparent;
//    }
//
//    &.loader-lazy--small:before {
//        top: 3px;
//        left: 3px;
//        right: 3px;
//        bottom: 3px;
//        border: 1px solid transparent;
//    }
//}
//.loader-lazy {
//    &:after {
//        content: "";
//        position: absolute;
//        top: 10px;
//        left: 10px;
//        right: 10px;
//        bottom: 10px;
//        border-radius: 50%;
//        border: 1px solid transparent;
//        border-top-color: $main_color_hover;
//        // filter: hue-rotate(-70deg);
//        animation: lazy-spin 1.5s linear infinite;
//    }
//
//    &.loader-lazy--big:after {
//        top: 20px;
//        left: 20px;
//        right: 20px;
//        bottom: 20px;
//        border: 2px solid transparent;
//    }
//
//    &.loader-lazy--small:after {
//        top: 7px;
//        left: 7px;
//        right: 7px;
//        bottom: 7px;
//        border: 1px solid transparent;
//    }
//}
//
//@media (max-width: 1024px) {
//    .loader-lazy {
//        position: absolute;
//        display: block;
//        // position: relative;
//        left: calc(50% - 38px);
//        top: calc(50% - 38px);
//        width: 76px;
//        height: 76px;
//        // margin: -75px 0 0 -75px;
//        border-radius: 50%;
//        border: 1px solid transparent;
//        border-top-color: $main_color;
//        animation: lazy-spin 2s linear infinite;
//
//        &.loader-lazy--big {
//            left: calc(50% - 38px);
//            top: calc(50% - 38px);
//            width: 76px;
//            height: 76px;
//            border: 1px solid transparent;
//        }
//    }
//    .loader-lazy {
//        &:before {
//            content: "";
//            position: absolute;
//            top: 5px;
//            left: 5px;
//            right: 5px;
//            bottom: 5px;
//            border-radius: 50%;
//            border: 1px solid transparent;
//            border-top-color: $main_color;
//            filter: hue-rotate(-35deg);
//            animation: lazy-spin 3s linear infinite;
//        }
//
//        &.loader-lazy--big:before {
//            top: 5px;
//            left: 5px;
//            right: 5px;
//            bottom: 5px;
//            border: 1px solid transparent;
//        }
//    }
//    .loader-lazy {
//        &:after {
//            content: "";
//            position: absolute;
//            top: 10px;
//            left: 10px;
//            right: 10px;
//            bottom: 10px;
//            border-radius: 50%;
//            border: 1px solid transparent;
//            border-top-color: $main_color_hover;
//            // filter: hue-rotate(-70deg);
//            animation: lazy-spin 1.5s linear infinite;
//        }
//
//        &.loader-lazy--big:after {
//            top: 10px;
//            left: 10px;
//            right: 10px;
//            bottom: 10px;
//            border: 1px solid transparent;
//        }
//    }
//}
/*loader lazy end*/